VLCKit: VLCRendererDiscoverer Class Reference

VLCKit

Instance Methods | Class Methods | Properties | List of all members
VLCRendererDiscoverer Class Reference

`#import <VLCRendererDiscoverer.h>`

Inheritance diagram for VLCRendererDiscoverer:

## Instance Methods
(instancetype) | - NS_UNAVAILABLE
(instancetype _Nullable) | - initWithName:
(NSArray< VLCRendererItem * > *) | - renderers
(BOOL) | - start
(void) | - stop

## Class Methods
(NSArray< VLCRendererDiscovererDescription * > *_Nullable) | + list

## Properties
NSString * | name
NSArray< VLCRendererItem * > * | renderers
id< VLCRendererDiscovererDelegate > _Nullable | delegate

## Detailed Description

Renderer Discoverer

## Method Documentation

## ◆ initWithName:

- (instancetype _Nullable) initWithName: |  | (NSString *) | name |

Instanciates a `VLCRendererDiscoverer`

Parameters

  name | Name of the renderer discoverer

Returns
  A new `VLCRendererDiscoverer` object, only if there were no errors

## ◆ list

+ (NSArray<VLCRendererDiscovererDescription *> * _Nullable) list |  |  |

Returns an `NSArray` of `VLCRendererDiscovererDescription`

Note
  Call this method to retreive information in order to instanciate a `` VLCRendererDiscoverer`\return An`NSArray`of`VLCRendererDiscovererDescription`

## ◆ renderers

- (NSArray<VLCRendererItem *> *) renderers |  |  |

Returns discovered renderers

Returns
  discovered renderers

## ◆ start

- (BOOL) start |  |  |

Start the renderer discoverer

Returns
  `YES` if successful, `NO` otherwise

## ◆ stop

- (void) stop |  |  |

Stops the renderer discoverer

Note
  This cannot fail

## Property Documentation

## ◆ delegate

- (id<VLCRendererDiscovererDelegate> _Nullable) delegate
| readwritenonatomicweak

Receiver's delegate

## ◆ name

- (NSString*) name
| readnonatomiccopy

Name of the renderer discoverer

## ◆ renderers

- (NSArray<VLCRendererItem *>*) renderers
| readnonatomiccopy

Renderers of the discoverer

The documentation for this class was generated from the following file:

- Headers/Public/VLCRendererDiscoverer.h